package com.mdd.admin.vo.decorate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("装修页面Vo")
public class DecoratePageVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("页面类型")
   private Integer pageType;
   @ApiModelProperty("页面数据")
   private String pageData;

   public Integer getId() {
      return this.id;
   }

   public Integer getPageType() {
      return this.pageType;
   }

   public String getPageData() {
      return this.pageData;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setPageType(Integer pageType) {
      this.pageType = pageType;
   }

   public void setPageData(String pageData) {
      this.pageData = pageData;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DecoratePageVo)) {
         return false;
      } else {
         DecoratePageVo other = (DecoratePageVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label47;
                  }
               } else if (this$id.equals(other$id)) {
                  break label47;
               }

               return false;
            }

            Object this$pageType = this.getPageType();
            Object other$pageType = other.getPageType();
            if (this$pageType == null) {
               if (other$pageType != null) {
                  return false;
               }
            } else if (!this$pageType.equals(other$pageType)) {
               return false;
            }

            Object this$pageData = this.getPageData();
            Object other$pageData = other.getPageData();
            if (this$pageData == null) {
               if (other$pageData != null) {
                  return false;
               }
            } else if (!this$pageData.equals(other$pageData)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DecoratePageVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $pageType = this.getPageType();
      result = result * 59 + ($pageType == null ? 43 : $pageType.hashCode());
      Object $pageData = this.getPageData();
      result = result * 59 + ($pageData == null ? 43 : $pageData.hashCode());
      return result;
   }

   public String toString() {
      return "DecoratePageVo(id=" + this.getId() + ", pageType=" + this.getPageType() + ", pageData=" + this.getPageData() + ")";
   }
}
